Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228152 - TeXmacs: $RPM_OPT_FLAGS not used
Summary: TeXmacs: $RPM_OPT_FLAGS not used
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: TeXmacs
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-10 17:17 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-11 16:53:53 UTC


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS, let rpmbuild strip binaries (deleted)
2007-02-10 17:17 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-10 17:17:18 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

TeXmacs is built without $RPM_OPT_FLAGS, thus without compiler security features
and -g.  Additionally, its build strips installed binaries, resulting in useless
debuginfo.  Fix attached.

Comment 1 Ville Skyttä 2007-02-10 17:17:18 UTC
Created attachment 147838 [details]
Use $RPM_OPT_FLAGS, let rpmbuild strip binaries

Comment 2 Gérard Milmeister 2007-02-11 16:53:53 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.